#include <stdio.h>
#include <stdlib.h>
#include <libvirt/libvirt.h>
int main(int argc, char *argv[]){
	virConnectPtr conn;
	virDomainPtr dom;
	const char *confVM = "<domain type='xen'><name>test-guest</name><memory>524288</memory><currentMemory>524288</currentMemory><vcpu>1</vcpu><os><type arch='x86_64' machine='xenpv'>linux</type><kernel>/boot/vmlinuz-2.6.18-274.12.1.el5xen </kernel><initrd>/boot/initrd-2.6.18-274.12.1.el5xen.img</initrd></os><clock offset='utc'/><on_poweroff>destroy</on_poweroff><on_reboot>restart</on_reboot><on_crash>restart </on_crash><devices><disk type='file' device='disk'><driver name='tap' type='aio'/><source file='/var/lib/xen/images/test-Volume.img'/><target dev='xvda' bus='xen'/></disk><interface type='bridge'><mac address='00:16:3e:18:d5:a5'/><source bridge='xenbr0'/><script path='vif-bridge'/></interface><console type='pty'><target port='0'/></console></devices></domain>";

	conn=virConnectOpen("xen:///");

	if(conn == NULL){
		fprintf(stderr, "Failed to open connection to xen:///\n");
		return -1;
	}

	dom = virDomainDefineXML(conn, confVM);
	if(!dom){
		fprintf(stderr, "Domain definition failed");
		return -1;
	}

	if(virDomainCreate(dom) < 0) {
		virDomainFree(dom);
		fprintf(stderr, "Can not boot guest");
		return -1;
	}

	fprintf(stderr, "VM %s has been started\n", virDomainGetName(dom));

	virDomainFree(dom);
	virConnectClose(conn);
	return 0;
}