#include <stdio.h>
#include <stdlib.h>
#include <libvirt/libvirt.h>
int main(int argc, char *argv[]){
	virConnectPtr conn;
	virDomainPtr dom;
	int id;

	const char *filename = "/var/lib/libvirt/save/test-guest.img";
	conn = virConnectOpen("xen:///");

	if (conn == NULL) {
		fprintf(stderr, "Failed to open connection to xen:///\n");
		return -1;
	}

	//  ӽ (restore)
	if ((id = virDomainRestore(conn, filename)) < 0) {
		fprintf(stderr, "Unable to restore guest from %s", filename);
		return -1;
	}

	//  ӽ Ǿ ĺڸ  Ȯ
	dom = virDomainLookupByID(conn, id);
	
	if (!dom) {
		fprintf(stderr, "Cannot find guest that was restored");
		return -1;
	}

	fprintf(stderr, "Guest state restored from %s", filename);
	
	virConnectClose(conn);
	return 0;
}